Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450230 - xscreensaver-gl-extras: carousel freezes display
Summary: xscreensaver-gl-extras: carousel freezes display
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-06 00:58 UTC by Vince Schiavoni
Modified: 2009-07-14 16:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:03:36 UTC
Type: ---


Attachments (Terms of Use)
Copy of file ~/.xscreensaver, as requested. (11.55 KB, text/plain)
2008-06-06 05:24 UTC, Vince Schiavoni
no flags Details

Description Vince Schiavoni 2008-06-06 00:58:45 UTC
Description of problem:
When using xscreensaver-demo to set up xscreensaver, choosing "carousel" 
results in frozen GUI.

Version-Release number of selected component (if applicable):
xscreensaver-gl-extras-5.05-3.fc8.i386
xscreensaver-gl-extras-5.05-3.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Install F8 or F9
2. Install xscreensaver-gl-extras
3. Start xscreensaver-demo, and select "carousel"
4. Observe nothing move, GUI is totally locked up/frozen.

Actual results:
Unusable GUI, must be recovered from outside of X-session.

Expected results:
Useful GUI with working xscreensaver. Carousel a bonus.

Additional info:
On request.

Comment 1 Mamoru TASAKA 2008-06-06 02:26:14 UTC
Well, I am not sure if this is xscreensaver or X bug, however
anyway would you do the following?
- attach ~/.xscreensaver (please attach, don't write directly)
- show the result of 'rpm -qa | grep screensaver'

Comment 2 Vince Schiavoni 2008-06-06 05:24:10 UTC
Created attachment 308506 [details]
Copy of file ~/.xscreensaver, as requested.

Output of 'rpm -qa|grep -i screensaver|sort':
rss-glx-xscreensaver-0.8.1.p-20.fc9.i386
xscreensaver-5.05-3.fc9.i386
xscreensaver-base-5.05-3.fc9.i386
xscreensaver-extras-5.05-3.fc9.i386
xscreensaver-gl-base-5.05-3.fc9.i386
xscreensaver-gl-extras-5.05-3.fc9.i386

Thanx and Regards,
VJS

Comment 3 Mamoru TASAKA 2008-06-06 06:42:02 UTC
Umm.. Even with your .xscreensaver I cannot reproduce the problem.

Can you save the files /etc/X11/xorg.conf and /var/log/Xorg.0.log
when the bug is reproduced and attach here?

Comment 4 Vince Schiavoni 2008-06-08 07:12:35 UTC
(In reply to comment #3)
> Umm.. Even with your .xscreensaver I cannot reproduce the problem.
> 
> Can you save the files /etc/X11/xorg.conf and /var/log/Xorg.0.log
> when the bug is reproduced and attach here?

As you might imagine, I'm somewhat reluctant to deliberately reproduce these 
crashes - these are not new machines. But if I can work up the nerve, and get 
an opportunity do so, I'll pull the trigger, and send along the remains.

Thanx and Regards,
VJS

Comment 5 Bug Zapper 2009-06-10 01:25:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 16:03:36 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.